Loading...
Searching...
No Matches
Ogre::DefaultSphereSceneQuery Class Reference
Core » Scene

Default implementation of SphereSceneQuery. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::DefaultSphereSceneQuery:
[legend]

## Public Member Functions

| DefaultSphereSceneQuery (SceneManager *creator)
| ~DefaultSphereSceneQuery ()
void | execute (SceneQueryListener *listener) override
| Executes the query and returns each match through a listener interface.
Public Member Functions inherited from Ogre::SphereSceneQuery
| SphereSceneQuery (SceneManager *mgr)
virtual | ~SphereSceneQuery ()
const Sphere & | getSphere () const
| Gets the sphere which is being used for this query.
void | setSphere (const Sphere &sphere)
| Sets the sphere which is to be used for this query.
Public Member Functions inherited from Ogre::RegionSceneQuery
| RegionSceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~RegionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual SceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
const SceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::SceneQueryListener
virtual | ~SceneQueryListener ()

## Additional Inherited Members

Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

Default implementation of SphereSceneQuery.

## Constructor & Destructor Documentation

## DefaultSphereSceneQuery()

Ogre::DefaultSphereSceneQuery::DefaultSphereSceneQuery | ( | SceneManager * | creator | ) |

## ~DefaultSphereSceneQuery()

Ogre::DefaultSphereSceneQuery::~DefaultSphereSceneQuery | ( |  | ) |

## Member Function Documentation

## execute()

void Ogre::DefaultSphereSceneQuery::execute | ( | SceneQueryListener * | listener | ) |

override virtual

Executes the query and returns each match through a listener interface.

Note that this method does not store the results of the query internally so does not update the 'last result' value. This means that this version of execute is more lightweight and therefore more efficient than the version which returns the results as a collection.

Implements Ogre::RegionSceneQuery.

Reimplemented in Ogre::OctreeSphereSceneQuery, and Ogre::PCZSphereSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneManager.h